> For the complete documentation index, see [llms.txt](https://docs.graphite-note.com/graphite-note-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.graphite-note.com/graphite-note-documentation/~/changes/E2AMshWWxt1bMPRlFt2a/rest-api/response.md).

# Response

### Response

Upon successful execution of the API request, you will receive a response containing the prediction results or any relevant information based on the model and data provided. The format and structure of the response will vary depending on the specific model and endpoint used.

This is a Timeseries period prediction example:

```json
{
    "data": [
        {
            "date": "2020-04-01T00:00:00.000Z",
            "predicted": 46.5706123613
        },
        {
            "date": "2020-04-02T00:00:00.000Z",
            "predicted": 46.810341005300003
        },
        {
            "sequenceID": "n/a"
        }
    ]
}
```

The response contains a single key-value pair:

* `"data"`: The key `"data"` maps to an array of objects that represents the prediction results or relevant information.

Make sure to handle the response appropriately in your code to process the prediction results or handle any potential errors returned by the API. More about structure on next section.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.graphite-note.com/graphite-note-documentation/~/changes/E2AMshWWxt1bMPRlFt2a/rest-api/response.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
